Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class UsernameFromAuthenticationContextLookupStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.UsernameFromAuthenticationContextLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class UsernameFromAuthenticationContextLookupStrategy extends Object implements Function<ProfileRequestContext,String>
A strategy that takes the UsernamePrincipal from the authentication context iff there is only one. Returning `null` otherwise.

## Constructor Summary

Constructors
Constructor
Description
`UsernameFromAuthenticationContextLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### UsernameFromAuthenticationContextLookupStrategy

public UsernameFromAuthenticationContextLookupStrategy()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`